Project

General

Profile

Feature #1428

AMPI TLS privatization support for IBM POWER

Added by Sam White over 1 year ago. Updated 28 days ago.

Status:
New
Priority:
Normal
Assignee:
Category:
AMPI
Target version:
-
Start date:
02/16/2017
Due date:
% Done:

0%


Description

AMPI lacks support for -tlsglobals on IBM POWER systems, which we will want to have in place before Summit and Sierra are up.

History

#1 Updated by Sam White over 1 year ago

Only slightly related: our QuickThreads package lacks support for POWER, but it looks like a more recent version of QuickThreads has it: https://github.com/lvijay/quickthreads

Edit: sadly that link no longer works :/

#2 Updated by Eric Bohm about 1 year ago

  • Assignee set to Sam White

#3 Updated by Sam White 12 months ago

  • Target version changed from 6.8.1 to 6.9.0

#4 Updated by Sam White 10 months ago

  • Target version deleted (6.9.0)

#5 Updated by Sam White 7 months ago

  • Target version set to 6.9.1

The recently merged support for Boost uFcontext threads should have support for POWER8 but that needs to be verified. cmitls will still need to be updated for POWER anyway

#6 Updated by Sam White 4 months ago

  • Target version deleted (6.9.1)
  • Assignee changed from Sam White to Evan Ramos

#7 Updated by Evan Ramos 4 months ago

I will need access to a POWER machine to work on this.

#8 Updated by Evan Ramos 28 days ago

Sam White wrote:

Only slightly related: our QuickThreads package lacks support for POWER, but it looks like a more recent version of QuickThreads has it: https://github.com/lvijay/quickthreads

Edit: sadly that link no longer works :/

I contacted the author and that link was not much/any more than a mirror of https://savannah.gnu.org/projects/quickthreads when maintenance stopped in 2012, and that version of the library is GPL-licensed anyway, meaning we can't use it.

Also available in: Atom PDF